﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
	<DisplayInfo Title="ApE" Publisher="University of Utah" Version="" ReleaseDate="">
		<UserCategories>
		</UserCategories>
		<SoftwareCategories>
			<Category>LABS Baseline</Category>
		</SoftwareCategories>
	</DisplayInfo>
	<DeploymentType Title="" Architecture="x86" Technology="Script" DetectionMethod="Enhanced" ContentLocation="\\server01\sources$\University of Utah\ApE\archive\{SoftwareVersion}\win_{Architecture}\">
		<UninstallCommand>"Deploy-Application.exe" Uninstall</UninstallCommand>
		<InstallCommand>"Deploy-Application.exe" Install</InstallCommand>
		<DetectionScript RunAs32Bit="False" Language="PowerShell">
			<TEXT>{DetectionStatement}
$Architecture = '{Architecture}'
$DetectionRegPath = '{DetectionRegPath}'
$RegKeyList = Get-ChildItem -Path $DetectionRegPath | Where-Object {$_.GetValue('DisplayName') -like "$DisplayName*"}

if($RegKeyList) {  
	$RegKey = $RegKeyList | Where-Object {[version]$_.GetValue('DisplayVersion') -ge [version]$DisplayVersion}
    if($RegKey) {
		return $true
    }
}
			</TEXT>
		</DetectionScript>
		<Custom>
			<DetectionScriptLogic TargetItemPath="\\server01\sources$\University of Utah\ApE\archive\{SoftwareVersion}\win_{Architecture}\Files\*.zip" >
				<SCRIPT>
$RootPath = $args[0]
$appDT = $args[1]
$appSoftwareVersion = $args[2]
$TargetItemPath = $args[3]

$sourceFile = Get-Item -Path "{DetectionScriptFilePath}"

$TempDirPath = "$env:TEMP\$($sourceFile.BaseName)_$([guid]::NewGuid())"

Expand-Archive -Path $sourceFile.FullName -DestinationPath $TempDirPath -Force

$ReferenceFile = Get-Item -Path "$TempDirPath\*.exe"

$ProductName = $ReferenceFile.VersionInfo.ProductName.Trim()
$ProductVersion = $ReferenceFile.VersionInfo.ProductVersion.Trim()

$DetectionString = @"
`$DisplayName = "$ProductName"
`$DisplayVersion = '$ProductVersion'
"@

$DetectionString

$null = Remove-Item -Path $TempDirPath -Recurse -Force
				</SCRIPT>
			</DetectionScriptLogic>
		</Custom>
	</DeploymentType>
</Application>